<?php
require_once './Control/ControlFoto.php';
require_once './Util/formAjax/FormAjax.php';
extract($_POST);
if (isset($fotopk))
{
    $pk = $fotopk;
}
$controlFoto = new ControlFoto();
if ($acao == 'inserir')
{
	$foto = new Foto();
} else
{
	$foto = $controlFoto->pegarUmFoto($pk);
}
if ($acao != 'excluir')
{
    $foto->lang = $lang;
    $foto->setGaleriaid($galeriaid);
    $foto->sDescricao(stripslashes($fototxtDescricao));
    $foto->setHabilitado(stripslashes($fotocbHabilitado));
    //Definir Foto
    if ((isset($fotoupFoto)) and ($fotoupFoto != 'null'))
    {   
        Utilidades::deletarAquivo($foto->getFoto());
        Utilidades::deletarAquivo($foto->getFotoq());
        $nomeArquivo = md5(uniqid(time())) . $fotoupFoto[0];
        copy('./upload_temp/' . $fotoupFoto[0], './fotos/fotos/' . $nomeArquivo);
        copy('./upload_temp/thumbnails/' . $fotoupFoto[0], './fotos/fotos/thumbnails/' . $nomeArquivo);
        $foto->setFotoq('./fotos/fotos/' . $nomeArquivo);
        $foto->setFoto('./fotos/fotos/thumbnails/' . $nomeArquivo);
        Utilidades::deletarAquivo('./upload_temp/' . $fotoupFoto[0]);
        Utilidades::deletarAquivo('./upload_temp/thumbnails/' . $fotoupFoto[0]);
    }
    switch ($acao) {	
            case 'alterar':
                    $retorno = $controlFoto->salvarFoto($foto);
                    break;
            case 'inserir':
                    $retorno = $controlFoto->salvarFoto($foto);
                    $acao = 'alterar';
                    $foto->find(true);
                    $pk = $foto->getFotoid();
                    break;
    }
    if ($retorno == 0)
    {
        echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
    } else
    {   
        echo 'Registro foi salvo com sucesso!';
        $codJava = 'mostrarArquivoDados(\'' . $arqFrm .'\',\'#divFotos\',\'acao=alterar&pk=' . $pk . '&lang=ptbr\');';
        echo '<script>' . $codJava . '</script>';
    }
} else {
        $retorno = $controlFoto->excluirFoto($foto);
        if ($retorno == 0)
        {
            echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
        } else
        {   
            echo 'Registro com ID: ' . $pk . ' excluido com sucesso!';
            $codJava = '$("#fotoID_'. $pk . '").remove();';
            echo '<script>' . $codJava . '</script>';
        }
}
?>